<?php /*
Plugin Name: BBCode_bar
Version: 0.7
Description: Allow use BBCode for comments . / Permet d'utiliser du BBCode pour les commentaires.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=140
Author: Atadilo
Author URI: http://www.phpwebgallery.net
*/
	global $conf;
  
	if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
	
	if (!isset($conf['bbcode_bar'])) {
		//  $conf['bbcode_bar'] contient des 0 ou 1 qui indique si l'utilisation des certaines balise est auoris ou non.
		// Dans l'ordre :
		// 	Paragraph		Paragraphe
		// 	Bold			Gras		
		// 	Italic			Italique
		// 	Underline		Soulign
		// 	Strikethrough	Barr
		// 	Center		Centr
		// 	Right			Droite
		//	Ulist			List
		// 	Olist			Liste ordonn
		// 	Quotes		Citation
		// 	Images		Images
		// 	URL			Adresse
		// 	Email			Ml
		// 	Size			Taille
		// 	Colours		Couleurs
		$conf['bbcode_bar'] = '1,1,1,1,1,1,1,1,1,1,1,1,1,1,1';
		include_once(dirname(__FILE__) . '/maintain.inc.php');
		plugin_install();
	}

	// Include le fichier de lang
	//include(PHPWG_PLUGINS_PATH.'bbcode_bar/language/'.get_default_language().'/plugin.lang.php');
	include(get_language_filepath('plugin.lang.php', dirname(__FILE__).'/'));
		
	// La fonction ne sera appel que lors du chargement de 'picture.tpl' 
	add_event_handler('render_element_content', 'set_bbcode_bar_css', 40, 1 );
	add_event_handler('init', 'set_bbcode_bar_render', 50, 1 );
		
	function set_bbcode_bar_render ()
	{		
		include_once(PHPWG_PLUGINS_PATH.'bbcode_bar/bbcode_bar.inc.php');
		
		// On enleve le 'render_comment_content' pour le remplacer par un qui va traiter le BBCode
		remove_event_handler('render_comment_content', 'parse_comment_content' );
		add_event_handler('render_comment_content', 'ParseComment', 50, 1 );
	}
	
	// Fonction qui complete le fichier gnr
	function set_bbcode_bar_css($content)
	{
		global $page, $picture, $template, $conf;
		// la feuille de style
	    $content .= '<link rel="stylesheet" type="text/css" href="'.PHPWG_PLUGINS_PATH.'bbcode_bar/bbcode_bar.css" >';		
	    $template->assign_block_vars( 'head_element', array( 'CONTENT' => $content, ) );
		
		// Ajout de la barre d'icones
		$template->set_filenames( array('bbcode_bar'=> PHPWG_PLUGINS_PATH.'bbcode_bar/bbcode_bar.tpl') );
				
		$tlp_handle = 'picture';
		$old = '{lang:comment}';
		$new = '{BBCODE_BAR}';
		
		$template->loadfile($tlp_handle);
		$template->uncompiled_code[$tlp_handle] = str_replace($old, $new, $template->uncompiled_code[$tlp_handle]);
		
		$template->assign_block_vars( 'BBCode_bar_button',array() );
		
		$conf_bbcode_bar = explode("," , $conf['bbcode_bar']);
		
		if ($conf_bbcode_bar[0]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_00',array() );
		if ($conf_bbcode_bar[1]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_01',array() );			
		if ($conf_bbcode_bar[2]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_02',array() );
		if ($conf_bbcode_bar[3]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_03',array() );
		if ($conf_bbcode_bar[4]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_04',array() );
		if ($conf_bbcode_bar[5]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_05',array() );
		if ($conf_bbcode_bar[6]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_06',array() );
		if ($conf_bbcode_bar[7]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_07',array() );
		if ($conf_bbcode_bar[8]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_08',array() );
		if ($conf_bbcode_bar[9]  == 1) $template->assign_block_vars( 'BBCode_bar_button.button_09',array() );
		if ($conf_bbcode_bar[10] == 1) $template->assign_block_vars( 'BBCode_bar_button.button_10',array() );
		if ($conf_bbcode_bar[11] == 1) $template->assign_block_vars( 'BBCode_bar_button.button_11',array() );
		if ($conf_bbcode_bar[12] == 1) $template->assign_block_vars( 'BBCode_bar_button.button_12',array() );
		if ($conf_bbcode_bar[13] == 1) $template->assign_block_vars( 'BBCode_bar_button.button_13',array() );
		if ($conf_bbcode_bar[14] == 1) $template->assign_block_vars( 'BBCode_bar_button.button_14',array() );
				
		$template->assign_var_from_handle( 'BBCODE_BAR', 'bbcode_bar');
		
		//set_bbcode_bar_render();
	}
	
	function bbcode_bar_admin_menu($menu)
	{
	    array_push($menu,
	        array('NAME' => 'BBCode_Bar',
	            'URL' => get_admin_plugin_menu_link(dirname(__FILE__) . '/bbcode_bar_admin.php')
	            )
	        );
	    return $menu;
	}

	add_event_handler('get_admin_plugin_menu_links', 'bbcode_bar_admin_menu');
?>
